# TMCCommandBindingGroup Class Reference

Inheritance diagram for TMCCommandBindingGroup:

List of all members.

## Public Member Functions
| TMCCommandBindingGroup ()
virtual | ~TMCCommandBindingGroup ()
void | SetGroupID (IDType inGroupID)
void | SetGroupName (const TMCString &inName)
IDType | GetGroupID () const
const TMCString & | GetGroupName ()
TMCCommandBinding & | AddBinding ()
TMCCommandBinding * | FindSameShortcut (const TMCCommandBinding &inShortcut)
TMCCommandBinding * | FindBinding (const int32 inCommandID)
int32 | GetBindingsCount () const
TMCCommandBinding & | GetBinding (int32 bindingIndex)
void | Sort ()
## Protected Member Functions
virtual TMCCommandBinding * | CreateCommandBinding ()
## Protected Attributes
IDType | fGroupID
TMCDynamicString | fGroupName
TMCPtrArray< TMCCommandBinding > | fBindings
## Private Member Functions
TMCCommandBindingGroup & | operator= (const TMCCommandBindingGroup &other)
| TMCCommandBindingGroup (const TMCCommandBindingGroup &other)

## Constructor & Destructor Documentation

TMCCommandBindingGroup::TMCCommandBindingGroup | ( |  | ) | `[inline]`

virtual TMCCommandBindingGroup::~TMCCommandBindingGroup | ( |  | ) | `[inline, virtual]`

TMCCommandBindingGroup::TMCCommandBindingGroup | ( | const TMCCommandBindingGroup & | other | ) | `[inline, private]`

## Member Function Documentation

TMCCommandBinding& TMCCommandBindingGroup::AddBinding | ( |  | ) |

virtual TMCCommandBinding* TMCCommandBindingGroup::CreateCommandBinding | ( |  | ) | `[inline, protected, virtual]`

TMCCommandBinding* TMCCommandBindingGroup::FindBinding | ( | const int32 | inCommandID | ) |

TMCCommandBinding* TMCCommandBindingGroup::FindSameShortcut | ( | const TMCCommandBinding & | inShortcut | ) |

TMCCommandBinding& TMCCommandBindingGroup::GetBinding | ( | int32 | bindingIndex | ) | `[inline]`

int32 TMCCommandBindingGroup::GetBindingsCount | ( |  | ) | const`[inline]`

IDType TMCCommandBindingGroup::GetGroupID | ( |  | ) | const`[inline]`

const TMCString& TMCCommandBindingGroup::GetGroupName | ( |  | ) | `[inline]`

TMCCommandBindingGroup& TMCCommandBindingGroup::operator= | ( | const TMCCommandBindingGroup & | other | ) | `[inline, private]`

void TMCCommandBindingGroup::SetGroupID | ( | IDType | inGroupID | ) | `[inline]`

void TMCCommandBindingGroup::SetGroupName | ( | const TMCString & | inName | ) | `[inline]`

void TMCCommandBindingGroup::Sort | ( |  | ) |

## Member Data Documentation

TMCPtrArray<TMCCommandBinding> TMCCommandBindingGroup::fBindings`[protected]`

IDType TMCCommandBindingGroup::fGroupID`[protected]`

TMCDynamicString TMCCommandBindingGroup::fGroupName`[protected]`

The documentation for this class was generated from the following file:

- MCCommandBinding.h